Bug 821913 - don't build non-x86 qemu targets
don't build non-x86 qemu targets
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 14:24 EDT by Eduardo Habkost
Modified: 2014-06-17 23:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: qemu-1.2-0.2.20120806git3e430569.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:27:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eduardo Habkost 2012-05-15 14:24:29 EDT
Description of problem:
The qemu package currently builds all the qemu variants. On RHEL we will give support only to the x86_64-softmmu.

The code to disable the non-x86 qemu targets is already present in the spec file, we just need to change the RHEL-specific settings:


diff --git a/qemu.spec b/qemu.spec
index 2c9b642..3a1b2a9 100644
--- a/qemu.spec
+++ b/qemu.spec
@@ -22,7 +22,7 @@
 
 %if 0%{?rhel}
 # RHEL-specific defaults:
-%bcond_with    x86only          # disabled
+%bcond_without x86only          # enabled
 %bcond_without exclusive_x86_64 # enabled
 %bcond_with    rbd              # disabled
 %bcond_with    fdt              # disabled
Comment 1 Eduardo Habkost 2012-08-14 11:47:26 EDT
Fixed in qemu-1.2-0.2.20120806git3e430569.el7.
Comment 3 Shaolong Hu 2014-01-24 02:40:42 EST
The patch is not in qemu-kvm.spec any more, just check what rpmbuild produce:

[root@localhost RPMS]# pwd
/root/rpmbuild/RPMS
[root@localhost RPMS]# ls
x86_64
[root@localhost RPMS]# cd x86_64/
[root@localhost x86_64]# ls
libcacard-1.5.3-39.el7.x86_64.rpm
libcacard-devel-1.5.3-39.el7.x86_64.rpm
libcacard-tools-1.5.3-39.el7.x86_64.rpm
qemu-guest-agent-1.5.3-39.el7.x86_64.rpm
qemu-img-1.5.3-39.el7.x86_64.rpm
qemu-kvm-1.5.3-39.el7.x86_64.rpm
qemu-kvm-common-1.5.3-39.el7.x86_64.rpm
qemu-kvm-tools-1.5.3-39.el7.x86_64.rpm
Comment 4 Shaolong Hu 2014-01-24 02:41:43 EST
with qemu-kvm-1.5.3-39.el7.src.rpm
Comment 7 Ludek Smid 2014-06-13 05:27:44 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.